import type { Ref } from 'vue';
export type LoadingIndicatorOpts = {
    /** @default 2000 */
    duration: number;
    /** @default 200 */
    throttle: number;
};
export type LoadingIndicator = {
    _cleanup: () => void;
    progress: Ref<number>;
    isLoading: Ref<boolean>;
    start: () => void;
    set: (value: number) => void;
    finish: () => void;
    clear: () => void;
};
/**
 * composable to handle the loading state of the page
 */
export declare function useLoadingIndicator(opts?: Partial<LoadingIndicatorOpts>): Omit<LoadingIndicator, '_cleanup'>;
